CREATE TABLE fla_lease_errors (
    LEASE_ERROR_ID            NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    LEASE_ID                  NUMBER(18, 0)     NOT NULL,
    LEASE_DETAIL_ID           NUMBER(18, 0)     NOT NULL,
    PROCESS_CODE              VARCHAR2(120)     NOT NULL,
    OBJECT_TYPE_CODE          VARCHAR2(120)     NOT NULL,
    OBJECT_REFERENCE1         VARCHAR2(120) ,
    OBJECT_REFERENCE2         VARCHAR2(120) ,
    OBJECT_REFERENCE1_ID      NUMBER(18, 0) ,
    OBJECT_REFERENCE2_ID      NUMBER(18, 0) ,
    MESSAGE_TYPE_CODE         VARCHAR2(120)     NOT NULL,
    MESSAGE_TEXT              VARCHAR2(4000)    NOT NULL,
    VERSION_NUM               NUMBER(9, 0)      NOT NULL,
    MESSAGE_NUMBER            VARCHAR2(120) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    LOAD_REQUEST_ID           NUMBER(18, 0) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    LEASE_ERROR_ID            NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    LEASE_ID                  NUMBER(18, 0)     NOT NULL,
    LEASE_DETAIL_ID           NUMBER(18, 0)     NOT NULL,
    PROCESS_CODE              VARCHAR2(120)     NOT NULL,
    OBJECT_TYPE_CODE          VARCHAR2(120)     NOT NULL,
    OBJECT_REFERENCE1         VARCHAR2(120) ,
    OBJECT_REFERENCE2         VARCHAR2(120) ,
    OBJECT_REFERENCE1_ID      NUMBER(18, 0) ,
    OBJECT_REFERENCE2_ID      NUMBER(18, 0) ,
    MESSAGE_TYPE_CODE         VARCHAR2(120)     NOT NULL,
    MESSAGE_TEXT              VARCHAR2(4000)    NOT NULL,
    VERSION_NUM               NUMBER(9, 0)      NOT NULL,
    MESSAGE_NUMBER            VARCHAR2(120) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    LOAD_REQUEST_ID           NUMBER(18, 0) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CONSTRAINT pk_fla_lease_errors PRIMARY KEY (LEASE_ERROR_ID, LEASE_ERROR_ID)
);
